<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// TEAM SECTION START HERE 
/*============TEAM SECTION PANEL============*/
$wp_customize->add_section(
	'lz_fitness_team_section',
	array(
		'title'         => __( 'Our Trainers', 'lz-fitness-premium' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'lz_fitness_team_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_team_section_disable',
		array(
			'settings'      => 'lz_fitness_team_section_disable',
			'section'       => 'lz_fitness_team_section',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'team', 'lz_fitness_team_section', $color='#efefef');

$wp_customize->add_setting(
	'lz_fitness_team_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_team_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_team_title_subtitle_heading',
			'section'       => 'lz_fitness_team_section',
			'label'         => __( 'Section Title & Sub Title', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_team_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Our Trainers', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_team_title',
	array(
		'settings'      => 'lz_fitness_team_title',
		'section'       => 'lz_fitness_team_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_team_sub_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci Lorem ipsum dolor sit amet.', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_team_sub_title',
	array(
		'settings'      => 'lz_fitness_team_sub_title',
		'section'       => 'lz_fitness_team_section',
		'type'          => 'textarea',
		'label'         => __( 'Sub Title', 'lz-fitness-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_team_HeadingColor', 'lz_fitness_team_section', 'Heading color','#333333');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_team_TextColor', 'lz_fitness_team_section', 'Text color', '#333333');
// member name color
addColorPalatOption($wp_customize, 'lz_fitness_team_TitleColor', 'lz_fitness_team_section', 'Title color', '#363636');

$wp_customize->add_setting('lz_fitness_team_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_team_npp_heading',
		array(
			'settings'      => 'lz_fitness_team_npp_heading',
			'section'       => 'lz_fitness_team_section',
			'label'         => __( 'Number Of team to show', 'lz-fitness-premium' ),
		)
	)
);    
$wp_customize->add_setting('lz_fitness_team_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
	'lz_fitness_team_npp_count',
	array(
		'settings'      => 'lz_fitness_team_npp_count',
		'section'       => 'lz_fitness_team_section',
		'type'          => 'select',
		'label'         => __( 'Number of team members to show', 'lz-fitness-premium' ),
		'choices'=>array(1,2,3,4)
	)
);

// TEAM PAGES
for( $i = 1; $i <= 4; $i++ ){
	$wp_customize->add_setting(
		'lz_fitness_team_heading'.$i,
		array(
			'sanitize_callback' => 'lz_fitness_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new lz_fitness_Customize_Heading(
			$wp_customize,
			'lz_fitness_team_heading'.$i,
			array(
				'settings'      => 'lz_fitness_team_heading'.$i,
				'section'       => 'lz_fitness_team_section',
				'label'         => __( 'Team Member ', 'lz-fitness-premium' ).$i,
			)
		)
	);
	if(is_array($lzFitnessTeamsSingleChoice)){
		$wp_customize->add_setting(
			'lz_fitness_team_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'lz_fitness_team_page'.$i,
			array(
				'settings'      => 'lz_fitness_team_page'.$i,
				'section'       => 'lz_fitness_team_section',
				'type'=> 'select',
				'label'         => __( 'Select a Trainer', 'lz-fitness-premium' ),
				'choices' => $lzFitnessTeamsSingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('lz_fitness_team_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
		$wp_customize->add_control(
			new lz_fitness_Info_Text( 
				$wp_customize,
				'lz_fitness_team_section_lbl'.$i,
				array(
					'settings'		=> 'lz_fitness_team_section_lbl'.$i,
					'section'		=> 'lz_fitness_team_section',
					'label'			=> __( 'Note:', 'lz-fitness-premium' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the team member.</strong> <br/>Please add the team from "Teams menu" and then select team member to show information.', 'lz-fitness-premium' ),
				)
			)
		);
	}
}
// TEAM SECTION END HERE 